diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/utils.py
index b9cbc99c4..7d67b0f80 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/utils.py
@@ -53,13 +53,13 @@ def create_compound_trigger(server, db_name, schema_name, table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE OR REPLACE TRIGGER %s FOR INSERT OR UPDATE ON %s.%s " \
                 "COMPOUND TRIGGER %s END;" % (trigger_name, schema_name,
                                               table_name, code)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         pg_cursor.execute("SELECT oid FROM pg_catalog.pg_trigger "
                           "where tgname='%s'" % trigger_name)
@@ -98,12 +98,12 @@ def create_view(server, db_name, schema_name, sql_query, view_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = sql_query % (schema_name, view_name, schema_name, view_name,
                              server['username'])
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created view
         pg_cursor.execute("select oid from pg_catalog.pg_class where "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
index 76f756be3..b0dd2aa32 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
@@ -540,7 +540,7 @@ class CheckConstraintView(PGChildNodeView):
             # The below SQL will execute CREATE DDL only
             sql = render_template(
                 "/".join([self.template_path, self._CREATE_SQL]),
-                data=data
+                data=data, conn=self.conn
             )
 
             status, msg = self.conn.execute_scalar(sql)
@@ -568,7 +568,8 @@ class CheckConstraintView(PGChildNodeView):
                 sql = render_template(
                     "/".join([self.template_path, self._OID_SQL]),
                     tid=tid,
-                    name=data['name']
+                    name=data['name'],
+                    conn=self.conn
                 )
                 status, res = self.conn.execute_dict(sql)
                 if not status:
@@ -741,7 +742,7 @@ class CheckConstraintView(PGChildNodeView):
 
         SQL = render_template("/".join([self.template_path,
                                         self._CREATE_SQL]),
-                              data=data)
+                              data=data, conn=self.conn)
 
         sql_header = "-- Constraint: {0}\n\n-- ".format(data['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/utils.py
index ee6c49df9..964147485 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/utils.py
@@ -107,7 +107,7 @@ def create_check_constraint(server, db_name, schema_name, table_name,
                                              server['host'],
                                              server['port'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         if query_val is None:
             query = "ALTER TABLE %s.%s ADD CONSTRAINT %s CHECK ( (id > 0)) " \
@@ -119,7 +119,7 @@ def create_check_constraint(server, db_name, schema_name, table_name,
         else:
             query = eval(query_val)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly added check constraint
         pg_cursor.execute(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/utils.py
index 1ec69bd6b..7c2fa9b6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/utils.py
@@ -181,6 +181,6 @@ def get_sql(conn, data, tid, cid=None, template_path=None):
             return _('-- definition incomplete'), name
 
         sql = render_template("/".join([template_path, 'create.sql']),
-                              data=data)
+                              data=data, conn=conn)
 
     return sql, name
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
index 90c542141..186100674 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
@@ -573,7 +573,7 @@ class ExclusionConstraintView(PGChildNodeView):
             else:
                 sql = render_template(
                     "/".join([self.template_path, self._OID_SQL]),
-                    name=data['name']
+                    name=data['name'], conn=self.conn
                 )
                 status, res = self.conn.execute_dict(sql)
                 if not status:
@@ -633,7 +633,7 @@ class ExclusionConstraintView(PGChildNodeView):
 
             sql = render_template(
                 "/".join([self.template_path, self._OID_SQL]),
-                name=data['name']
+                name=data['name'], conn=self.conn
             )
             status, res = self.conn.execute_dict(sql)
             if not status:
@@ -796,7 +796,8 @@ class ExclusionConstraintView(PGChildNodeView):
             data['table'] = self.table
 
             SQL = render_template(
-                "/".join([self.template_path, self._CREATE_SQL]), data=data)
+                "/".join([self.template_path, self._CREATE_SQL]), data=data,
+                conn=self.conn)
 
             sql_header = "-- Constraint: {0}\n\n-- ".format(data['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
index 8b3a62a64..643fab1fc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/utils.py
@@ -103,13 +103,13 @@ def create_exclusion_constraint(server, db_name, schema_name, table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "ALTER TABLE %s.%s ADD CONSTRAINT %s EXCLUDE USING btree(" \
                 "id ASC NULLS FIRST WITH =)" % \
                 (schema_name, table_name, key_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly added index constraint
         pg_cursor.execute("SELECT conindid FROM pg_catalog.pg_constraint "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/utils.py
index ec4b15298..470df006e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/utils.py
@@ -228,7 +228,7 @@ def get_sql(conn, data, did, tid, exid=None, template_path=None):
             name = data['name'] = old_data['name']
 
         sql = render_template("/".join([template_path, 'update.sql']),
-                              data=data, o_data=old_data)
+                              data=data, o_data=old_data, conn=conn)
     else:
         if 'columns' not in data or \
                 (isinstance(data['columns'], list) and
@@ -276,7 +276,7 @@ def get_oper_class(conn, indextype, template_path=None):
     :return:
     """
     SQL = render_template("/".join([template_path, 'get_oper_class.sql']),
-                          indextype=indextype)
+                          indextype=indextype, conn=conn)
 
     status, res = conn.execute_2darray(SQL)
     if not status:
@@ -301,7 +301,7 @@ def get_operator(conn, coltype, show_sysobj, template_path=None):
     :return:
     """
     SQL = render_template("/".join([template_path, 'get_operator.sql']),
-                          type=coltype, show_sysobj=show_sysobj)
+                          type=coltype, show_sysobj=show_sysobj, conn=conn)
 
     status, res = conn.execute_2darray(SQL)
     if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
index 987f87a0e..68eee94f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
@@ -593,7 +593,7 @@ class ForeignKeyConstraintView(PGChildNodeView):
             else:
                 sql = render_template(
                     "/".join([self.template_path, self._OID_SQL]),
-                    name=data['name']
+                    name=data['name'], conn=self.conn
                 )
                 status, res = self.conn.execute_dict(sql)
                 if not status:
@@ -688,7 +688,8 @@ class ForeignKeyConstraintView(PGChildNodeView):
             sql = render_template(
                 "/".join([self.template_path, self._OID_SQL]),
                 tid=tid,
-                name=data['name']
+                name=data['name'],
+                conn=self.conn
             )
             status, res = self.conn.execute_dict(sql)
             if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/utils.py
index 06cee155c..89832e94b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/utils.py
@@ -126,11 +126,11 @@ def create_foreignkey(server, db_name, schema_name, local_table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
 
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly added foreign key
         pg_cursor.execute("SELECT oid FROM pg_catalog.pg_constraint "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/utils.py
index 75557c199..284418fe4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/utils.py
@@ -243,7 +243,7 @@ def get_sql(conn, data, tid, fkid=None, template_path=None):
                                                       template_path, conn)
 
         sql = render_template("/".join([template_path, 'update.sql']),
-                              data=data, o_data=old_data)
+                              data=data, o_data=old_data, conn=conn)
 
         if 'autoindex' in data and data['autoindex'] and \
                 ('coveringindex' in data and data['coveringindex'] != ''):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
index e5bfa878e..aef6c8674 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
@@ -616,7 +616,8 @@ class IndexConstraintView(PGChildNodeView):
                     "/".join([self.template_path, self._OID_SQL]),
                     tid=tid,
                     constraint_type=self.constraint_type,
-                    name=data['name']
+                    name=data['name'],
+                    conn=self.conn
                 )
                 status, res = self.conn.execute_dict(sql)
                 if not status:
@@ -678,7 +679,8 @@ class IndexConstraintView(PGChildNodeView):
                 "/".join([self.template_path, self._OID_SQL]),
                 tid=tid,
                 constraint_type=self.constraint_type,
-                name=data['name']
+                name=data['name'],
+                conn=self.conn
             )
             status, res = self.conn.execute_dict(sql)
             if not status:
@@ -881,7 +883,9 @@ class IndexConstraintView(PGChildNodeView):
         SQL = render_template(
             "/".join([self.template_path, self._CREATE_SQL]),
             data=data,
-            constraint_name=self.constraint_name)
+            constraint_name=self.constraint_name,
+            conn=self.conn
+        )
 
         sql_header = "-- Constraint: {0}\n\n-- ".format(data['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
index 5ac848855..c2dea525c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
@@ -112,12 +112,12 @@ def create_index_constraint(server, db_name, schema_name, table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "ALTER TABLE %s.%s ADD CONSTRAINT %s %s (id)" % \
                 (schema_name, table_name, key_name, key_type)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly added index constraint
         pg_cursor.execute("SELECT conindid FROM pg_catalog.pg_constraint "
@@ -183,12 +183,12 @@ def create_unique_index(server, db_name, schema_name, table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE UNIQUE INDEX CONCURRENTLY %s ON %s.%s (%s)" % \
                 (index_name, schema_name, table_name, column_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/utils.py
index fc6dffe53..a305dfb4d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/utils.py
@@ -290,7 +290,8 @@ def get_sql(conn, data, did, tid, ctype, cid=None, template_path=None):
 
         sql = render_template("/".join([template_path, 'update.sql']),
                               data=data,
-                              o_data=old_data)
+                              o_data=old_data,
+                              conn=conn)
     else:
         is_error, errmsg, name = _check_required_args(data, name)
         if is_error:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index 57aa0a307..9ee52e735 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -636,7 +636,7 @@ class IndexesView(PGChildNodeView, SchemaDiffObjectCompare):
             # we need oid to add object in tree at browser
             SQL = render_template(
                 "/".join([self.template_path, self._OID_SQL]),
-                tid=tid, data=data
+                tid=tid, data=data, conn=self.conn
             )
             status, idx = self.conn.execute_scalar(SQL)
             if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
index c23133a62..092503818 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
@@ -185,13 +185,13 @@ def create_index(server, db_name, schema_name, table_name, index_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE INDEX %s ON %s.%s USING btree (%s ASC NULLS LAST) " \
                 "TABLESPACE pg_default" % (index_name, schema_name,
                                            table_name, col_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly added index
         pg_cursor.execute("select oid from pg_catalog.pg_class "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
index 364d0d724..329830b76 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
@@ -564,7 +564,8 @@ class PartitionsView(BaseTableView, DataTypeReader, SchemaDiffObjectCompare):
         # Get schema oid of partition
         status, pscid = self.conn.execute_scalar(
             render_template("/".join([self.table_template_path,
-                                      self._GET_SCHEMA_OID_SQL]), tid=ptid))
+                                      self._GET_SCHEMA_OID_SQL]), tid=ptid,
+                            conn=self.conn))
         if not status:
             return internal_server_error(errormsg=scid)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
index ac4b2d4a6..3af42c834 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
@@ -368,7 +368,7 @@ class RowSecurityView(PGChildNodeView):
             sql = render_template("/".join([self.template_path,
                                             self._CREATE_SQL]),
                                   data=data,
-                                  conn=self.conn,
+                                  conn=self.conn
                                   )
             status, res = self.conn.execute_scalar(sql)
             if not status:
@@ -377,7 +377,7 @@ class RowSecurityView(PGChildNodeView):
             # we need oid to add object in tree at browser
             sql = render_template(
                 "/".join([self.template_path, 'get_position.sql']),
-                tid=tid, data=data
+                tid=tid, data=data, conn=self.conn
             )
             status, plid = self.conn.execute_scalar(sql)
             if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/utils.py
index 96289ac54..198a33efb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/utils.py
@@ -44,12 +44,12 @@ def create_policy(server, db_name, schema_name, table_name, policy_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE policy %s on %s.%s To public" % \
                 (policy_name, schema_name, table_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get role oid of newly added policy
         pg_cursor.execute("select oid from pg_catalog.pg_policy where "
@@ -126,12 +126,12 @@ def delete_policy(server, db_name, policy_name, schema_name, table_name):
         policy_count = pg_cursor.fetchone()
         if policy_count:
             old_isolation_level = connection.isolation_level
-            connection.set_isolation_level(0)
+            utils.set_isolation_level(connection, 0)
             pg_cursor = connection.cursor()
             query = "DROP policy %s on %s.%s" % \
                     (policy_name, schema_name, table_name)
             pg_cursor.execute(query)
-            connection.set_isolation_level(old_isolation_level)
+            utils.set_isolation_level(connection, old_isolation_level)
             connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/utils.py
index c67dbd1ee..f7d392c1a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/utils.py
@@ -89,13 +89,13 @@ def get_sql(conn, **kwargs):
         old_data['table'] = table
         sql = render_template(
             "/".join([template_path, 'update.sql']),
-            data=data, o_data=old_data
+            data=data, o_data=old_data, conn=conn
         )
     else:
         data['schema'] = schema
         data['table'] = table
         sql = render_template("/".join(
-            [template_path, 'create.sql']), data=data)
+            [template_path, 'create.sql']), data=data, conn=conn)
 
     return sql, data['name'] if 'name' in data else old_data['name']
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
index 6f784712e..ee6e46d2b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
@@ -340,7 +340,9 @@ class RuleView(PGChildNodeView, SchemaDiffObjectCompare):
                 )
         try:
             SQL = render_template("/".join(
-                [self.template_path, self._CREATE_SQL]), data=data)
+                [self.template_path, self._CREATE_SQL]),
+                data=data,
+                conn=self.conn)
             status, res = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -348,7 +350,8 @@ class RuleView(PGChildNodeView, SchemaDiffObjectCompare):
             # Fetch the rule id against rule name to display node
             # in tree browser
             SQL = render_template("/".join(
-                [self.template_path, 'rule_id.sql']), rule_name=data['name'])
+                [self.template_path, 'rule_id.sql']),
+                rule_name=data['name'], conn=self.conn)
             status, rule_id = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=rule_id)
@@ -488,7 +491,8 @@ class RuleView(PGChildNodeView, SchemaDiffObjectCompare):
         SQL = render_template("/".join(
             [self.template_path, self._CREATE_SQL]),
             data=res_data, display_comments=True,
-            add_replace_clause=True
+            add_replace_clause=True,
+            conn=self.conn
         )
 
         return ajax_response(response=SQL)
@@ -511,11 +515,12 @@ class RuleView(PGChildNodeView, SchemaDiffObjectCompare):
             old_data = res_data
             SQL = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=data, o_data=old_data
+                data=data, o_data=old_data, conn=self.conn
             )
         else:
             SQL = render_template("/".join(
-                [self.template_path, self._CREATE_SQL]), data=data)
+                [self.template_path, self._CREATE_SQL]),
+                data=data, conn=self.conn)
         return SQL, data['name'] if 'name' in data else old_data['name']
 
     @check_precondition
@@ -553,13 +558,15 @@ class RuleView(PGChildNodeView, SchemaDiffObjectCompare):
                 old_data = res_data
                 sql = render_template(
                     "/".join([self.template_path, self._UPDATE_SQL]),
-                    data=data, o_data=old_data
+                    data=data, o_data=old_data, conn=self.conn
                 )
             else:
                 RuleView._check_schema_diff(target_schema, res_data)
                 sql = render_template("/".join(
                     [self.template_path, self._CREATE_SQL]),
-                    data=res_data, display_comments=True)
+                    data=res_data,
+                    display_comments=True,
+                    conn=self.conn)
 
         return sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/utils.py
index eb66a52dd..f3f6a94ce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/utils.py
@@ -44,12 +44,12 @@ def create_rule(server, db_name, schema_name, table_name, rule_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE OR REPLACE RULE %s AS ON UPDATE TO %s.%s DO NOTHING" %\
                 (rule_name, schema_name, table_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get role oid of newly added rule
         pg_cursor.execute("select oid from pg_catalog.pg_rewrite where "
